Countries - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with a list of locations where the portal was most frequently accessed in a selected period.

Method Endpoint
POST
/analytics/api/v3/traffic/countries-top

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

{
  "startDate": "2023-05-29",
  "endDate": "2023-06-29"
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
endDate String Yes The exclusive end date of the period. Must be later than the startDate. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2023-05-29",
  "endDate": "2023-06-29",
  "results": [
    {
      "countryCode": "FRA",
      "countryName": "France",
      "percentage": 13.482392349,
      "httpRequestCount": 32500
    }
  ]
}
  • Traffic is based on the number of HTTP requests sent to the server by browsers or via the API.
  • countryCode and countryName can have the UNKNOWN value. This is the value associated to users visiting through an internal network, a VPN, or a proxy server.
  • A user connecting through a proxy server is identified as coming from the location of the server. This can lead to a country having a disproportionate amount of queries in comparison to the actual traffic.
Field Type Description
startDate String The inclusive start date of the period as defined in the request body.
endDate String The exclusive end date of the period as defined in the request body.
countryCode String The country's ISO-3166 Alpha-3 code. Can be unknown.
countryName String The name of the country. Can be unknown.
percentage Number The percentage of visits that occurred in the country out of the total number of visits during the period.
httpRequestCount Number The number of queries that users living in the country submitted during the period.
Return code Description
200 OK Returns results.